VIEW1090-MUTABILITY(1)

NAME view1090-mutability - Text client for dump1090

SYNOPSIS
view1090-mutability
view1090-mutability --net-bo-ipaddr ipaddr --net-bo-port port

DESCRIPTION
view1090-mutability allows you to connect to a TCP Beast compliant stream and view the decoded messages in an ASCII-text table.

OPTIONS
The supported options are as follows:

--interactive
    Display received in a textual table, in real-time.

--interactive-rows num
    Max number of rows in interactive mode (default: 15)

--interactive-ttl sec
    Remove from list if idle for sec (default: 60)

--interactive-rtl1090
    Display flight table in RTL1090 format

--modeac
    Enable decoding of SSR Modes 3/A & 3/C

--net-bo-ipaddr IPv4
    TCP Beast server address (default: 127.0.0.1)

--net-bo-port port
    TCP Beast server port (default: 30005)

--lat latitude
    Reference/receiver latitude for surface posn (opt)

--lon longitude
    Reference/receiver longitude for surface posn (opt)

--fix
    Enable single-bits error correction using CRC

--no-fix
    Disable single-bits error correction using CRC

--no-crc-check
    Disable messages with broken CRC (discouraged)

--aggressive
    More CPU for more messages (two bits fixes, ...)

--metric
    Use metric units (meters, km/h, ...)

--help
    Show help

EXAMPLES
The most basic usage is with no flags, which will connect to the dump1090 instance running on the local host.

        view1090-mutability
To connect to a remote instance you can specify the IPv4 address of that host.

        view1090-mutability --net-bo-ipaddr ipaddr

BUGS
Report bugs with the program to the project's github page <https://github.com/mutability/dump1090/>

AUTHORS
Dump1090 was originally written by Salvatore Sanfilippo <antirez@gmail.com>. This version is now maintained by Oliver Jowett <oliver@mutability.co.uk>. This manpage was prepared for Debian by Matthew Ernisse <mernisse@ub3rgeek.net>.